# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KJS::HashEntry Struct Reference

An entry in a hash table. More...

`#include <lookup.h>`

List of all members.

## Public Attributes

unsigned short | soffset
short int | value
unsigned char | attr
unsigned char | params
short | next

## Detailed Description

An entry in a hash table.

Definition at line 37 of file lookup.h.

## Member Data Documentation

unsigned short KJS::HashEntry::soffset

| s is the offset to the string key (e.g. a property name) Definition at line 41 of file lookup.h.

short int KJS::HashEntry::value

| value is the result value (usually an enum value) Definition at line 45 of file lookup.h.

unsigned char KJS::HashEntry::attr

| attr is a set for flags (e.g. the property flags, see object.h) Definition at line 49 of file lookup.h.

unsigned char KJS::HashEntry::params

| params is another number. For property hashtables, it is used to denote the number of argument of the function Definition at line 54 of file lookup.h.

short KJS::HashEntry::next

| next is the index to the next entry for the same hash value Definition at line 58 of file lookup.h.

The documentation for this struct was generated from the following file:

- lookup.h

This file is part of the documentation for kjs Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:23:14 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003